Bug 202042 - sysutils/py-salt: add salt-api service control script (included)
Summary: sysutils/py-salt: add salt-api service control script (included)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-02 17:47 UTC by xenophon+fbsdports
Modified: 2015-08-23 23:49 UTC (History)
2 users (show)

See Also:
christer.edwards: maintainer-feedback+


Attachments
Salt API service control script (492 bytes, application/x-shellscript)
2015-08-02 17:47 UTC, xenophon+fbsdports
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description xenophon+fbsdports 2015-08-02 17:47:24 UTC
Created attachment 159462 [details]
Salt API service control script

The Salt API service is missing an rc(8) script.  A simple one based on the salt_master rc script is attached.
Comment 1 Christer Edwards 2015-08-18 14:23:02 UTC
Looks good. Thanks for the patch!
Comment 2 Jason Unovitch freebsd_committer 2015-08-23 00:03:56 UTC
Take for testing.
Comment 3 Jason Unovitch freebsd_committer 2015-08-23 14:57:32 UTC
I've accommodated this addition in the https://bugs.FreeBSD.org/202417 for the 2015.5.4 update and will close out this PR when I get approval to commit that.

In the future, take a look at the existing scripts in /usr/ports/sysutils/py-salt/files.  You'll want to use %%PREFIX%% and %%PYTHON_CMD%% rather than the hard coded paths.
Comment 4 commit-hook freebsd_committer 2015-08-23 23:46:52 UTC
A commit references this bug:

Author: junovitch
Date: Sun Aug 23 23:46:48 UTC 2015
New revision: 395146
URL: https://svnweb.freebsd.org/changeset/ports/395146

Log:
  sysutils/py-salt: update 2015.5.3 -> 2015.5.4 [1], add salt_api rc script [2]

  PR:		202417 [1]
  PR:		202042 [2]
  Submitted by:	Christer Edwards <christer.edwards@gmail.com> (maintainer) [1]
  Submitted by:	xenophon+fbsdports@irtnog.org [2]
  Approved by:	maintainer [2], feld (mentor)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
  head/sysutils/py-salt/files/salt_api.in
  head/sysutils/py-salt/pkg-plist
Comment 5 Jason Unovitch freebsd_committer 2015-08-23 23:49:10 UTC
Committed with corrections discussed in comment 3. Thank you both!